bdi4jade.message

## Class MessageGoal

- java.lang.Object
- - bdi4jade.message.MessageGoal

- All Implemented Interfaces:
    Goal, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class MessageGoal
      extends java.lang.Object
      implements Goal

  This class represents the goal of processing a message received by the agent.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MessageGoal()` The default constructor.
    `` | `MessageGoal(jade.lang.acl.ACLMessage message)` Initializes a message goal with the given message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `jade.lang.acl.ACLMessage` | `getMessage()` Returns the message associated with this message goal.
    `protected void` | `setMessage(jade.lang.acl.ACLMessage message)` Sets the message of this goal.
    `java.lang.String` | `toString()` Returns a string representation of this goal, in the form "MessageGoal: message".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageGoal

          protected MessageGoal()

      The default constructor. It should be only used if persistence frameworks are used.

    - #### MessageGoal

          public MessageGoal(jade.lang.acl.ACLMessage message)

      Initializes a message goal with the given message.
      Parameters:
        `message` - the message to be processed.

  - ### Method Detail

    - #### getMessage

          @Parameter(direction=IN)
          public jade.lang.acl.ACLMessage getMessage()

      Returns the message associated with this message goal.
      Returns:
        the message

    - #### setMessage

          protected void setMessage(jade.lang.acl.ACLMessage message)

      Sets the message of this goal. Ideally, the message should be final and initialized in the constructor. This method should be only used if persistence frameworks are used.
      Parameters:
        `message` - the message to set

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this goal, in the form "MessageGoal: message".
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representation of this message goal.
      See Also:
        `Object.toString()`